gnutls_certificate_set_openpgp_key_file(3)

NAME
gnutls_certificate_set_openpgp_key_file - Used to set OpenPGP keys

SYNOPSIS
#include <gnutls/extra.h>

int gnutls_certificate_set_openpgp_key_file(gnutls_certificate_credentials_t res, const char * certfile, const char * keyfile);

ARGUMENTS

gnutls_certificate_credentials_t       res
    the destination context to save the data.

const char * certfile
    the file that contains the public key.

const char * keyfile
    the file that contains the secret key.

DESCRIPTION
This funtion is used to load OpenPGP keys into the GnuTLS credentials structure. It doesn't matter whether the keys are armored or not, but the files should only contain one key which should not be encrypted.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.